    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.util.BitSet

    java.lang.Object
       |
       +----java.util.BitSet

public final class BitSet
extends Object
implements Cloneable, Serializable

A set of bits. The set automatically grows as more bits are needed.

##

BitSet()
  Creates an empty set.
BitSet(int)
  Creates an empty set with the specified size.

##

and(BitSet)
  Logically ANDs this bit set with the specified set of bits.
clear(int)
  Clears a bit.
clone()
  Clones the BitSet.
equals(Object)
  Compares this object against the specified object.
get(int)
  Gets a bit.
hashCode()
  Gets the hashcode.
or(BitSet)
  Logically ORs this bit set with the specified set of bits.
set(int)
  Sets a bit.
size()
  Calculates and returns the set's size in bits.
toString()
  Converts the BitSet to a String.
xor(BitSet)
  Logically XORs this bit set with the specified set of bits.

##

BitSet

     public BitSet()

  Creates an empty set.

BitSet

     public BitSet(int nbits)

  Creates an empty set with the specified size.

  Parameters:
    nbits - the size of the set

##

set

     public void set(int bit)

  Sets a bit.

  Parameters:
    bit - the bit to be set

clear

     public void clear(int bit)

  Clears a bit.

  Parameters:
    bit - the bit to be cleared

get

     public boolean get(int bit)

  Gets a bit.

  Parameters:
    bit - the bit to be gotten

and

     public void and(BitSet set)

  Logically ANDs this bit set with the specified set of bits.

  Parameters:
    set - the bit set to be ANDed with

or

     public void or(BitSet set)

  Logically ORs this bit set with the specified set of bits.

  Parameters:
    set - the bit set to be ORed with

xor

     public void xor(BitSet set)

  Logically XORs this bit set with the specified set of bits.

  Parameters:
    set - the bit set to be XORed with

hashCode

     public int hashCode()

  Gets the hashcode.

  Overrides:
    hashCode in class Object

size

     public int size()

  Calculates and returns the set's size in bits. The maximum element in the set is the size - 1st element.

equals

     public boolean equals(Object obj)

  Compares this object against the specified object.

  Parameters:
    obj - the object to compare with
  Returns:
    true if the objects are the same; false otherwise.
  Overrides:
    equals in class Object

clone

     public Object clone()

  Clones the BitSet.

  Overrides:
    clone in class Object

toString

     public String toString()

  Converts the BitSet to a String.

  Overrides:
    toString in class Object

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.